<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/privileged/l_names.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
.textRainbow_lv0_p2 { color: #add8e6; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>03/31/83  l_names
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>This command is intended to be a tool for those users who update the system
<span id="L5" class="LineNr"> 5 </span>libraries.  Users must have access to the gate segment
<span id="L6" class="LineNr"> 6 </span>installation_tools_.
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>
<span id="L9" class="LineNr"> 9 </span>Entry points in l_names:
<span id="L10" class="LineNr">10 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L11" class="LineNr">11 </span>
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>:Entry:  move:  03/16/83 l_names$move
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>This entry moves all the extra names from one multiple-named directory
<span id="L17" class="LineNr">17 </span>entry to another for any number of entry pairs.  The name used to
<span id="L18" class="LineNr">18 </span>designate the segment is not moved; all others are moved.
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>Syntax:
<span id="L22" class="LineNr">22 </span>l_names$move from_path_ to_path_ ...  from_path_ to_path_
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>
<span id="L25" class="LineNr">25 </span>Arguments:
<span id="L26" class="LineNr">26 </span>from_path_
<span id="L27" class="LineNr">27 </span>   is the pathname of the segment whose names are to be moved.
<span id="L28" class="LineNr">28 </span>to_path_
<span id="L29" class="LineNr">29 </span>   is the pathname of the segment to which names are to be moved.
<span id="L30" class="LineNr">30 </span>
<span id="L31" class="LineNr">31 </span>
<span id="L32" class="LineNr">32 </span>:Entry:  copy:  03/16/83 l_names$copy
<span id="L33" class="LineNr">33 </span>
<span id="L34" class="LineNr">34 </span>
<span id="L35" class="LineNr">35 </span>This entry is similar to l_names$move but leaves the names on the
<span id="L36" class="LineNr">36 </span>segment that originally has them.  Note that in this case the names
<span id="L37" class="LineNr">37 </span>cannot be copied to a segment in the same directory because that would
<span id="L38" class="LineNr">38 </span>attempt to duplicate names in the directory.  All of the names on the
<span id="L39" class="LineNr">39 </span>original segment are copied.
<span id="L40" class="LineNr">40 </span>
<span id="L41" class="LineNr">41 </span>
<span id="L42" class="LineNr">42 </span>Syntax:
<span id="L43" class="LineNr">43 </span>names$copy <span class="textRainbow_lv0_p2">{</span>from_path_ to_path_ ...  from_path_ to_path_<span class="textRainbow_lv0_p2">}</span>
<span id="L44" class="LineNr">44 </span>
<span id="L45" class="LineNr">45 </span>
<span id="L46" class="LineNr">46 </span>Arguments:
<span id="L47" class="LineNr">47 </span>from_path_
<span id="L48" class="LineNr">48 </span>   is the pathname of the segment whose names are to be copied.
<span id="L49" class="LineNr">49 </span>to_path_
<span id="L50" class="LineNr">50 </span>   is the pathname of the segment to which names are to be copied.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
